Skip to main content
`Ctrl`+`K`

# TS2SetSolution

Sets the initial solution and time derivative vectors for use by the `TS` routines handling second order equations.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TS2SetSolution(TS ts, Vec u, Vec v)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- u - the solution vector

- v - the time derivative vector

## See Also

TS: Scalable ODE and DAE Solvers, `TS`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex43.c
src/ts/tutorials/ex44.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages